Subject: bug#16013: 24.3.50; Rows in height is interpreted as pixels.

From: Jan Djärv <[email-masked]>
Date: Sat, 07 Dec 2013 18:53:09 +0100

2013-12-04 19:06, martin rudalics skrev:
>  > Lucid/Motif: 46 rows, 74 columns on initial frame,
>  >             50 rows, 80 columns on subsequent frames.
>
> I don't know which libraries are needed to build with Lucid.  I
> installed open motif libraries but the build script doesn't appreciate
> them.  So I can't test these here.  At least the "subsequent frames"
> look correct.

livXaw is needed.

>
>  > No toolkit: 45 rows, 68 columns on initial frame,
>  >                  47 rows, 75 columns on subsequent frames.
>
> This can be fixed here using the attached patch.  But with a frame width
> of 60 the echo area should resize but disappears on the initial frame.
> I don't yet know why.

You should check in the patch.

>
>  > Gtk+3 and 2: 49 rows, 80 columns on initial frame.
>  >                 49 rows, 80 columns on subsequent frames.
>

I found the last line for Gtk+.  But it is a bit dependent on the window 
manager as size hints come into play.

	Jan D.